package server

import (
	"git.ctrlz.es/mgdelacroix/birthdaybot/model"
	"github.com/charmbracelet/log"
)

type Option func(*Server) *Server

func WithConfig(config *model.Config) Option {
	return func(server *Server) *Server {
		server.config = config
		return server
	}
}

func WithLogger(logger *log.Logger) Option {
	return func(server *Server) *Server {
		server.Logger = logger
		return server
	}
}
